Search Results for

Show / Hide Table of Contents

# Class TableView.RowColorGetterDelegate

Delegate for providing color for a whole row of a TableView

##### Inheritance

System.Object
TableView.RowColorGetterDelegate

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class RowColorGetterDelegate : MulticastDelegate

### Constructors

#### RowColorGetterDelegate(Object, IntPtr)

##### Declaration

    public RowColorGetterDelegate(object object, IntPtr method)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | object |
System.IntPtr | method |

### Methods

#### BeginInvoke(TableView.RowColorGetterArgs, AsyncCallback, Object)

##### Declaration

    public virtual IAsyncResult BeginInvoke(TableView.RowColorGetterArgs args, AsyncCallback callback, object object)

##### Parameters

Type | Name | Description
--- | --- | ---
TableView.RowColorGetterArgs | args |
System.AsyncCallback | callback |
System.Object | object |

##### Returns

Type | Description
--- | ---
System.IAsyncResult |

#### EndInvoke(IAsyncResult)

##### Declaration

    public virtual ColorScheme EndInvoke(IAsyncResult result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IAsyncResult | result |

##### Returns

Type | Description
--- | ---
ColorScheme |

#### Invoke(TableView.RowColorGetterArgs)

##### Declaration

    public virtual ColorScheme Invoke(TableView.RowColorGetterArgs args)

##### Parameters

Type | Name | Description
--- | --- | ---
TableView.RowColorGetterArgs | args |

##### Returns

Type | Description
--- | ---
ColorScheme |